
# ChallengeJson

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **kotlin.String** |  | 
**url** | **kotlin.String** |  | 
**status** | [**inline**](#Status) |  | 
**challenger** | [**ChallengeUser**](ChallengeUser.md) |  | 
**destUser** | [**ChallengeUser**](ChallengeUser.md) |  | 
**variant** | [**Variant**](Variant.md) |  | 
**rated** | **kotlin.Boolean** |  | 
**speed** | [**Speed**](Speed.md) |  | 
**timeControl** | [**TimeControl**](TimeControl.md) |  | 
**color** | [**inline**](#Color) |  | 
**perf** | [**ChallengeJsonPerf**](ChallengeJsonPerf.md) |  | 
**direction** | [**inline**](#Direction) |  |  [optional]
**initialFen** | **kotlin.String** |  |  [optional]
**declineReason** | **kotlin.String** |  |  [optional]


<a name="Status"></a>
## Enum: status
Name | Value
---- | -----
status | created, offline, canceled, declined, accepted


<a name="Color"></a>
## Enum: color
Name | Value
---- | -----
color | white, black, random


<a name="Direction"></a>
## Enum: direction
Name | Value
---- | -----
direction | in, out



