
# GameJson

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **kotlin.String** |  | 
**rated** | **kotlin.Boolean** |  | 
**variant** | [**VariantKey**](VariantKey.md) |  | 
**speed** | [**Speed**](Speed.md) |  | 
**perf** | **kotlin.String** |  | 
**createdAt** | [**java.math.BigDecimal**](java.math.BigDecimal.md) |  | 
**lastMoveAt** | [**java.math.BigDecimal**](java.math.BigDecimal.md) |  | 
**status** | [**GameStatus**](GameStatus.md) |  | 
**players** | [**GameJsonPlayers**](GameJsonPlayers.md) |  | 
**initialFen** | **kotlin.String** |  |  [optional]
**winner** | [**inline**](#Winner) |  |  [optional]
**opening** | [**GameJsonOpening**](GameJsonOpening.md) |  |  [optional]
**moves** | **kotlin.String** |  |  [optional]
**pgn** | **kotlin.String** |  |  [optional]
**daysPerTurn** | [**java.math.BigDecimal**](java.math.BigDecimal.md) |  |  [optional]
**analysis** | [**kotlin.collections.List&lt;GameJsonAnalysis&gt;**](GameJsonAnalysis.md) |  |  [optional]
**tournament** | **kotlin.String** |  |  [optional]
**swiss** | **kotlin.String** |  |  [optional]
**clock** | [**GameJsonClock**](GameJsonClock.md) |  |  [optional]


<a name="Winner"></a>
## Enum: winner
Name | Value
---- | -----
winner | white, black



