
# GameStateEvent

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**moves** | **kotlin.String** | Current moves in UCI format | 
**wtime** | **kotlin.Int** | Integer of milliseconds White has left on the clock | 
**btime** | **kotlin.Int** | Integer of milliseconds Black has left on the clock | 
**winc** | **kotlin.Int** | Integer of White Fisher increment. | 
**binc** | **kotlin.Int** | Integer of Black Fisher increment. | 
**status** | [**GameStatus**](GameStatus.md) |  | 
**winner** | **kotlin.String** | Color of the winner, if any |  [optional]
**wdraw** | **kotlin.Boolean** | true if white is offering draw, else omitted |  [optional]
**bdraw** | **kotlin.Boolean** | true if black is offering draw, else omitted |  [optional]
**wtakeback** | **kotlin.Boolean** | true if white is proposing takeback, else omitted |  [optional]
**btakeback** | **kotlin.Boolean** | true if black is proposing takeback, else omitted |  [optional]



