
# TablebaseJson

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**category** | [**inline**](#Category) | &#x60;cursed-win&#x60; and &#x60;blessed-loss&#x60; means the 50-move rule prevents the decisive result.  &#x60;maybe-win&#x60; and &#x60;maybe-loss&#x60; means exact result is unknown due to [DTZ rounding](https://syzygy-tables.info/metrics#dtz), i.e., the win or loss could also be prevented by the 50-move rule if the user has deviated from the tablebase recommendation since the last pawn move or capture.  |  [optional]
**dtz** | **kotlin.Int** | [DTZ50&#39;&#39; with rounding](https://syzygy-tables.info/metrics#dtz) or null if unknown  |  [optional]
**dtm** | **kotlin.Int** | Distance to mate (only for positions with not more than 5 pieces) |  [optional]
**checkmate** | **kotlin.Boolean** |  |  [optional]
**stalemate** | **kotlin.Boolean** |  |  [optional]
**variantWin** | **kotlin.Boolean** | Only in chess variants |  [optional]
**variantLoss** | **kotlin.Boolean** | Only in chess variants |  [optional]
**insufficientMaterial** | **kotlin.Boolean** |  |  [optional]
**moves** | [**kotlin.collections.List&lt;Move&gt;**](Move.md) | Information about legal moves, best first |  [optional]


<a name="Category"></a>
## Enum: category
Name | Value
---- | -----
category | win, unknown, maybe-win, cursed-win, draw, blessed-loss, maybe-loss, loss



