
# UserPreferences

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**dark** | **kotlin.Boolean** |  |  [optional]
**transp** | **kotlin.Boolean** |  |  [optional]
**bgImg** | [**java.net.URI**](java.net.URI.md) |  |  [optional]
**is3d** | **kotlin.Boolean** |  |  [optional]
**theme** | [**inline**](#Theme) |  |  [optional]
**pieceSet** | [**inline**](#PieceSet) |  |  [optional]
**theme3d** | [**inline**](#Theme3d) |  |  [optional]
**pieceSet3d** | [**inline**](#PieceSet3d) |  |  [optional]
**soundSet** | [**inline**](#SoundSet) |  |  [optional]
**blindfold** | **kotlin.Int** |  |  [optional]
**autoQueen** | **kotlin.Int** |  |  [optional]
**autoThreefold** | **kotlin.Int** |  |  [optional]
**takeback** | **kotlin.Int** |  |  [optional]
**moretime** | **kotlin.Int** |  |  [optional]
**clockTenths** | **kotlin.Int** |  |  [optional]
**clockBar** | **kotlin.Boolean** |  |  [optional]
**clockSound** | **kotlin.Boolean** |  |  [optional]
**premove** | **kotlin.Boolean** |  |  [optional]
**animation** | **kotlin.Int** |  |  [optional]
**captured** | **kotlin.Boolean** |  |  [optional]
**follow** | **kotlin.Boolean** |  |  [optional]
**highlight** | **kotlin.Boolean** |  |  [optional]
**destination** | **kotlin.Boolean** |  |  [optional]
**coords** | **kotlin.Int** |  |  [optional]
**replay** | **kotlin.Int** |  |  [optional]
**challenge** | **kotlin.Int** |  |  [optional]
**message** | **kotlin.Int** |  |  [optional]
**coordColor** | **kotlin.Int** |  |  [optional]
**submitMove** | **kotlin.Int** |  |  [optional]
**confirmResign** | **kotlin.Int** |  |  [optional]
**insightShare** | **kotlin.Int** |  |  [optional]
**keyboardMove** | **kotlin.Int** |  |  [optional]
**zen** | **kotlin.Int** |  |  [optional]
**moveEvent** | **kotlin.Int** |  |  [optional]
**rookCastle** | **kotlin.Int** |  |  [optional]


<a name="Theme"></a>
## Enum: theme
Name | Value
---- | -----
theme | blue, blue2, blue3, blue-marble, canvas, wood, wood2, wood3, wood4, maple, maple2, brown, leather, green, marble, green-plastic, grey, metal, olive, newspaper, purple, purple-diag, pink, ic


<a name="PieceSet"></a>
## Enum: pieceSet
Name | Value
---- | -----
pieceSet | cburnett, merida, alpha, pirouetti, chessnut, chess7, reillycraig, companion, riohacha, kosal, leipzig, fantasy, spatial, california, pixel, maestro, fresca, cardinal, gioco, tatiana, staunty, governor, dubrovny, icpieces, shapes, letter


<a name="Theme3d"></a>
## Enum: theme3d
Name | Value
---- | -----
theme3d | Black-White-Aluminium, Brushed-Aluminium, China-Blue, China-Green, China-Grey, China-Scarlet, Classic-Blue, Gold-Silver, Light-Wood, Power-Coated, Rosewood, Marble, Wax, Jade, Woodi


<a name="PieceSet3d"></a>
## Enum: pieceSet3d
Name | Value
---- | -----
pieceSet3d | Basic, Wood, Metal, RedVBlue, ModernJade, ModernWood, Glass, Trimmed, Experimental, Staunton, CubesAndPi


<a name="SoundSet"></a>
## Enum: soundSet
Name | Value
---- | -----
soundSet | silent, standard, piano, nes, sfx, futuristic, robot, music, speech



