# SimulsApi

All URIs are relative to *https://lichess.org*

Method | HTTP request | Description
------------- | ------------- | -------------
[**apiSimul**](SimulsApi.md#apiSimul) | **GET** /api/simul | Get current simuls


<a name="apiSimul"></a>
# **apiSimul**
> kotlin.collections.List&lt;kotlin.Any&gt; apiSimul()

Get current simuls

Get recently finished, ongoing, and upcoming simuls. 

### Example
```kotlin
// Import classes:
//import org.openapitools.client.infrastructure.*
//import org.openapitools.client.models.*

val apiInstance = SimulsApi()
try {
    val result : kotlin.collections.List<kotlin.Any> = apiInstance.apiSimul()
    println(result)
} catch (e: ClientException) {
    println("4xx response calling SimulsApi#apiSimul")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling SimulsApi#apiSimul")
    e.printStackTrace()
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**kotlin.collections.List&lt;kotlin.Any&gt;**](kotlin.Any.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

